using System;

namespace ConsoleApp2
{
    
    class Program
    {
        static void sab(int i,ref int res)
        {
            if (i > 0)
            {
                res += i;
                sab(i - 1, ref res);
            }
        }
        static void Main(string[] args)
        {
            int T = int.Parse(Console.ReadLine());
            int[,] x = new int[T, 3];

            for(int i = 0; i < T; i++)
            {
                string[] u = Console.ReadLine().Split();
                for(int j = 0; j < 3; j++)
                {
                    x[i, j] = int.Parse(u[j]);
                }
            }
            string[] resenje = new string[T];
            for(int i = 0; i < T; i++)
            {
                if (x[i, 0] > x[i, 2])
                {
                    int O = 0;
                    sab(x[T,0],ref O);
                    if (x[T, 1] - O >= x[T, 0])
                    {
                        resenje[T] = "Tak";
                    }
                }
                else
                {
                    resenje[T] = "Nie";
                }
            }
            for(int i = 0; i < T; i++)
            {
                Console.WriteLine(i);
            }
        }
    }
}